Ptex

Public Member Functions | Private Attributes | List of all members
IntKey Class Reference

`#include <PtexHashMap.h>`

## Public Member Functions
| IntKey ()
| IntKey (int val)
void | copy (volatile IntKey &key) volatile
void | move (volatile IntKey &key) volatile
bool | matches (const IntKey &key) const volatile
bool | isEmpty () volatile const
uint32_t | hash () volatile const

## Private Attributes
int | _val

## Detailed Description

Definition at line 117 of file PtexHashMap.h.

## Constructor & Destructor Documentation

## ◆ IntKey() [1/2]

IntKey::IntKey | ( |  | ) |
| inline

Definition at line 122 of file PtexHashMap.h.

References _val.

Referenced by copy(), matches(), and move().

## ◆ IntKey() [2/2]

IntKey::IntKey | ( | int | val | ) |
| inline

Definition at line 123 of file PtexHashMap.h.

References _val.

## Member Function Documentation

## ◆ copy()

void IntKey::copy | ( | volatile IntKey & | key | ) | volatile
| inline

Definition at line 124 of file PtexHashMap.h.

References _val, and IntKey().

## ◆ hash()

uint32_t IntKey::hash | ( |  | ) | const volatile
| inline

Definition at line 128 of file PtexHashMap.h.

References _val.

## ◆ isEmpty()

bool IntKey::isEmpty | ( |  | ) | const volatile
| inline

Definition at line 127 of file PtexHashMap.h.

References _val.

## ◆ matches()

bool IntKey::matches | ( | const IntKey & | key | ) | const volatile
| inline

Definition at line 126 of file PtexHashMap.h.

References _val, and IntKey().

## ◆ move()

void IntKey::move | ( | volatile IntKey & | key | ) | volatile
| inline

Definition at line 125 of file PtexHashMap.h.

References _val, and IntKey().

## Member Data Documentation

## ◆ _val

int IntKey::_val
| private

Definition at line 119 of file PtexHashMap.h.

Referenced by copy(), hash(), IntKey(), IntKey(), isEmpty(), matches(), and move().

The documentation for this class was generated from the following file:

- PtexHashMap.h